/*
 * Copyright (C) 2008 Emweb bvba, Kessel-Lo, Belgium.
 *
 * See the LICENSE file for terms of use.
 */

#include <Wt/WApplication>
#include "ChartsExample2.h"

using namespace Wt;

class ChartsApplication: public WApplication
{
public:
  ChartsApplication(const WEnvironment& env)
    : WApplication(env)
  {
    root()->setPadding(10);
    root()->resize(WLength::Auto, WLength::Auto);
    new ChartsExample(root());
    
  }
};

WApplication *createApplication(const WEnvironment& env)
{
  WApplication *app = new ChartsApplication(env);
  return app;
}

int main(int argc, char **argv) 
{
  return WRun(argc, argv, &createApplication);
}
